package com.diaoyun.zion.chinafrica.vo;

import java.io.Serializable;

/**
 * 领取或者发放优惠券实体类
 */
public class ToiCouponVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 表id
     */
    private String couponTableId;
    /**
     * 优惠券id
     */
    private String couponId;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 创建日期
     */
    private String createTime;
    /**
     * 标识(1.发放 2.领取 3.注册)
     */
    private Integer identification;
    /**
     * 是否已经使用，0已使用，1未使用，2已过期
     */
    private Integer enableFlag;

    /**
     * 获取：表id
     */
    public String getCouponTableId() {
        return couponTableId;
    }
    /**
     * 设置：表id
     */
    public void setCouponTableId(String couponTableId) {
        this.couponTableId = couponTableId;
    }
    /**
     * 获取：标识(1.发放 2.领取 3.注册)
     */
    public Integer getIdentification() {
        return identification;
    }
    /**
     * 设置：标识(1.发放 2.领取 3.注册)
     */
    public void setIdentification(Integer identification) {
        this.identification = identification;
    }

    /**
     * 设置：优惠券id
     */
    public void setCouponId(String couponId) {
        this.couponId = couponId;
    }

    /**
     * 获取：优惠券id
     */
    public String getCouponId() {
        return couponId;
    }
    /**
     * 设置：用户id
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取：用户id
     */
    public String getUserId() {
        return userId;
    }
    /**
     * 设置：创建日期
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建日期
     */
    public String getCreateTime() {
        return createTime;
    }
    /**
     * 设置：是否已经使用，0已使用，1未使用，2已过期
     */
    public void setEnableFlag(Integer enableFlag) {
        this.enableFlag = enableFlag;
    }

    /**
     * 获取：是否已经使用，0已使用，1未使用，2已过期
     */
    public Integer getEnableFlag() {
        return enableFlag;
    }
}
